KD Chart 2: KDChart::DataDimension class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::DataDimension Class Reference

`#include <KDChartAbstractCoordinatePlane.h>`

Collaboration diagram for KDChart::DataDimension:

[legend]
List of all members.

## Detailed Description

Helper class for one dimension of data, e.g. for the rows in a data model, or for the labels of an axis, or for the vertical lines in a grid.

isCalculated specifies whether this dimension's values are calculated or counted. (counted == "Item 1", "Item 2", "Item 3" ...)

sequence is the GranularitySequence, as specified at for the respective coordinate plane.

Step width is an optional parameter, to be omitted (or set to Zero, resp.) if the step width is unknown.

The default c'tor just gets you counted values from 1..10, using step width 1, used by the CartesianGrid, when showing an empty plane without any diagrams.

Definition at line 333 of file KDChartAbstractCoordinatePlane.h.

## Public Member Functions
| DataDimension (qreal start_, qreal end_, bool isCalculated_, AbstractCoordinatePlane::AxesCalcMode calcMode_, KDChartEnums::GranularitySequence sequence_, qreal stepWidth_=0.0, qreal subStepWidth_=0.0)
| DataDimension ()
qreal | distance () const
| Returns the size of the distance, equivalent to the width() (or height(), resp.) of a QRectF.
bool | operator!= (const DataDimension &other) const
bool | operator== (const DataDimension &r) const
## Public Attributes
AbstractCoordinatePlane::AxesCalcMode | calcMode
qreal | end
bool | isCalculated
KDChartEnums::GranularitySequence | sequence
qreal | start
qreal | stepWidth
qreal | subStepWidth

## Constructor & Destructor Documentation

KDChart::DataDimension::DataDimension | ( |  | ) |

| Definition at line 335 of file KDChartAbstractCoordinatePlane.h. References calcMode, sequence, stepWidth, and subStepWidth.
    00339         {}
    00340         DataDimension( qreal start_,
    00341                        qreal end_,
    00342                        bool isCalculated_,
    00343                        AbstractCoordinatePlane::AxesCalcMode calcMode_,

KDChart::DataDimension::DataDimension | ( | qreal | start_,
|  | qreal | end_,
|  | bool | isCalculated_,
|  | AbstractCoordinatePlane::AxesCalcMode | calcMode_,
|  | KDChartEnums::GranularitySequence | sequence_,
|  | qreal | stepWidth_ = 0.0,
|  | qreal | subStepWidth_ = 0.0
| ) |

| Definition at line 344 of file KDChartAbstractCoordinatePlane.h. References calcMode, end, isCalculated, sequence, start, stepWidth, and subStepWidth.
    00347             : start(        start_ )
    00348             , end(          end_ )
    00349             , isCalculated( isCalculated_ )
    00350             , calcMode(     calcMode_ )
    00351             , sequence(     sequence_ )
    00352             , stepWidth(    stepWidth_ )
    00353             , subStepWidth( subStepWidth_ )
    00354         {}

## Member Function Documentation

qreal KDChart::DataDimension::distance | ( |  | ) | const

| Returns the size of the distance, equivalent to the width() (or height(), resp.) of a QRectF. Note that this value can be negative, e.g. indicating axis labels going in reversed direction. Definition at line 366 of file KDChartAbstractCoordinatePlane.h. References start. Referenced by KDChart::CartesianCoordinatePlane::layoutDiagrams(), and KDChart::CartesianAxis::paintCtx().
    00368         {
    00369             return

bool KDChart::DataDimension::operator!= | ( | const DataDimension & | other | ) | const

| Definition at line 383 of file KDChartAbstractCoordinatePlane.h. References calcMode, end, and isCalculated.

bool KDChart::DataDimension::operator== | ( | const DataDimension & | r | ) | const

| Definition at line 371 of file KDChartAbstractCoordinatePlane.h. References calcMode, end, isCalculated, sequence, stepWidth, and subStepWidth.
    00380         { return !operator==( other ); }
    00381

## Member Data Documentation

AbstractCoordinatePlane::AxesCalcMode KDChart::DataDimension::calcMode

| Definition at line 389 of file KDChartAbstractCoordinatePlane.h. Referenced by DataDimension(), operator!=(), operator==(), and KDChart::CartesianAxis::paintCtx().

qreal KDChart::DataDimension::end

| Definition at line 387 of file KDChartAbstractCoordinatePlane.h. Referenced by DataDimension(), KDChart::CartesianCoordinatePlane::layoutDiagrams(), operator!=(), operator==(), and KDChart::CartesianAxis::paintCtx().

bool KDChart::DataDimension::isCalculated

| Definition at line 388 of file KDChartAbstractCoordinatePlane.h. Referenced by DataDimension(), operator!=(), operator==(), and KDChart::CartesianAxis::paintCtx().

KDChartEnums::GranularitySequence KDChart::DataDimension::sequence

| Definition at line 390 of file KDChartAbstractCoordinatePlane.h. Referenced by DataDimension(), and operator==().

qreal KDChart::DataDimension::start

| Definition at line 386 of file KDChartAbstractCoordinatePlane.h. Referenced by DataDimension(), distance(), KDChart::CartesianCoordinatePlane::layoutDiagrams(), and KDChart::CartesianAxis::paintCtx().

qreal KDChart::DataDimension::stepWidth

| Definition at line 391 of file KDChartAbstractCoordinatePlane.h. Referenced by DataDimension(), operator==(), and KDChart::CartesianAxis::paintCtx().

qreal KDChart::DataDimension::subStepWidth

| Definition at line 392 of file KDChartAbstractCoordinatePlane.h. Referenced by DataDimension(), operator==(), and KDChart::CartesianAxis::paintCtx().

The documentation for this class was generated from the following file:

- KDChartAbstractCoordinatePlane.h